// Copyright (C) The Arvados Authors. All rights reserved.
//
// SPDX-License-Identifier: AGPL-3.0

import { RootState } from 'store/store';
import { Dispatch } from 'redux';
import { connect } from 'react-redux';
import {
    ApiClientAuthorizationPanelRoot,
    ApiClientAuthorizationPanelRootDataProps,
    ApiClientAuthorizationPanelRootActionProps
} from 'views/api-client-authorization-panel/api-client-authorization-panel-root';
import { openApiClientAuthorizationContextMenu } from 'store/context-menu/context-menu-actions';
import { ApiClientAuthorization } from 'models/api-client-authorization';

const mapStateToProps = (state: RootState): ApiClientAuthorizationPanelRootDataProps => {
    return {
        resources: state.resources
    };
};

const mapDispatchToProps = (dispatch: Dispatch): ApiClientAuthorizationPanelRootActionProps => ({
    onContextMenu: (event, apiClientAuthorization) => {
        dispatch<any>(openApiClientAuthorizationContextMenu(event, apiClientAuthorization));
    },
    onItemClick: (resource: ApiClientAuthorization) => { return; },
    onItemDoubleClick: uuid => { return; },
});

export const ApiClientAuthorizationPanel = connect(mapStateToProps, mapDispatchToProps)(ApiClientAuthorizationPanelRoot);